Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226967 - CVE-2007-0238 StarCalc overflow
Summary: CVE-2007-0238 StarCalc overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: impact=important,source=openoffice,re...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 11:28 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0069
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 13:40:40 UTC


Attachments (Terms of Use)
better example document (deleted)
2007-02-08 11:40 UTC, Caolan McNamara
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0069 normal SHIPPED_LIVE Important: openoffice.org security update 2007-03-22 13:40:34 UTC

Description Mark J. Cox 2007-02-02 11:28:21 UTC
+++ This bug was initially created as a clone of Bug #226966 +++

John Heasman discovered the StarCalc parser in OpenOffice 2.1 and earlier
contains an easily exploitable stack overflow (at least on the win32 version)
due to incorrect handling of the "Note" record.

If a user opens an untrusted StarCalc document it can potentially run arbitrary
attacker code supplied in the file.  This is therefore a serious issue.

No embargo date set

-- Additional comment from mjc@redhat.com on 2007-02-02 06:25 EST --
Created an attachment (id=147211)
Patch for 1.5


-- Additional comment from mjc@redhat.com on 2007-02-02 06:26 EST --
Created an attachment (id=147212)
Patch for 2

Comment 1 Caolan McNamara 2007-02-02 12:24:33 UTC
need an ack to progress through cvs

Comment 2 Caolan McNamara 2007-02-06 08:40:00 UTC
RHEL-5:openoffice_org-2.0.4-5.4.16.1

Comment 3 Caolan McNamara 2007-02-08 09:54:44 UTC
Created attachment 147640 [details]
deom .sdc

fortify source already protects us from the demo document

*** stack smashing detected ***: scalc.bin terminated

Comment 4 Caolan McNamara 2007-02-08 11:40:42 UTC
Created attachment 147642 [details]
better example document

But same ***stack smashing detected***

Comment 10 Mark J. Cox 2007-03-22 08:04:06 UTC
well the embargo looks busted by http://lwn.net/Articles/227144/
removing our embargo



Comment 11 Red Hat Bugzilla 2007-03-22 13:40:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0069.html



Note You need to log in before you can comment on or make changes to this bug.